---
title: '<xsl:output>'
slug: Web/XSLT/Element/output
tags:
  - Element
  - Reference
  - XSLT
  - output
---
<p>{{ XsltRef() }}</p>

<p>The <code>&lt;xsl:output&gt;</code> element controls the characteristics of the output document. To function correctly in Netscape, this element, with the method attribute, must be used. As of 7.0, <code>method="text"</code> works as expected.</p>

<h3 id="Syntax">Syntax</h3>

<pre>&lt;xsl:output
	method="xml" | "html" | "text"
	version=STRING
	encoding=STRING
	omit-xml-declaration="yes" | "no"
	standalone="yes" | "no"
	doctype-public=STRING
	doctype-system=STRING
	cdata-section-elements=LIST-OF-NAMES
	indent="yes" | "no"
	media-type=STRING  /&gt;</pre>

<h3 id="Required_Attributes">Required Attributes</h3>

<p>None.</p>

<h3 id="Optional_Attributes">Optional Attributes</h3>

<dl>
 <dt><code>method</code></dt>
 <dd>Specifies output format.</dd>
</dl>

<dl>
 <dt><code>version</code></dt>
 <dd>Specifies the value of the version attribute of the XML or HTML declaration in the output document. This attribute is only used when <code>method="html"</code> or <code>method="xml"</code>.</dd>
</dl>

<dl>
 <dt><code>encoding</code></dt>
 <dd>Specifies the value of the <code>encoding</code> attribute in the output document.</dd>
</dl>

<dl>
 <dt><code>omit-xml-declaration</code></dt>
 <dd>Indicates whether or not to include an XML declaration in the output. Acceptable values are "<code>yes</code>" or "<code>no</code>".</dd>
</dl>

<dl>
 <dt><code>standalone</code> (Not supported.)</dt>
 <dd>If present, indicates that a standalone declaration should occur in the output document and gives its value. Acceptable values are "yes" or "no".</dd>
</dl>

<dl>
 <dt><code>doctype-public</code></dt>
 <dd>Specifies the value of the <code>PUBLIC</code> attribute of the <code>DOCTYPE</code> declaration in the output document.</dd>
</dl>

<dl>
 <dt><code>doctype-system</code></dt>
 <dd>Specifies the value of the <code>SYSTEM</code> attribute of the <code>DOCTYPE</code> declaration in the output document.</dd>
</dl>

<dl>
 <dt><code>cdata-section-elements</code></dt>
 <dd>Lists elements whose text contents should be written as <code>CDATA</code> sections. Elements should be whitespace separated.</dd>
</dl>

<dl>
 <dt><code>indent</code> (Not supported.)</dt>
 <dd>Specifies if the output should be indented to indicate its hierarchic structure.</dd>
</dl>

<dl>
 <dt><code>media-type</code> (Not supported.)</dt>
 <dd>Specifies the output document MIME type.</dd>
</dl>

<h3 id="Type">Type</h3>

<p>Top-level, must be the child <code>&lt;xsl:stylesheet&gt;</code> or <code>&lt;xsl:transform&gt;</code>.</p>

<h3 id="Defined">Defined</h3>

<p>XSLT, section 16.</p>

<h3 id="Gecko_support">Gecko support</h3>

<p>Partial support. See comments above.</p>
